Assignee: % Done: 0%
Description

Hi,

the right-click context menu for issues is amazing. It not only works on the issue tab, but also for the subtasks section included on
each created issue.

I'd like this feature could also be enabled for the related issues section, just below the "subtasks" section.

Associated revisions

Revision 5321 - 2011-04-05 14:11 - Jean-Philippe Lang

Adds context menu for related issues (#8006).

History

#1 - 2011-03-28 20:44 - Etienne Massip

- Tracker changed from Defect to Feature

Looks like a feature request to me.

#2 - 2011-04-05 14:11 - Jean-Philippe Lang
- Status changed from New to Closed

- Target version set to 1.2.0

Added in r5321.

#3 - 2011-04-14 12:17 - Etienne Massip

- Status changed from Closed to Reopened

Just a Ul question for history : isn't it a bit hazardous to let the "Delete" choice in the contextual menu, can't it taken as a "Delete relationship" choice
instead ?

Same question applies to subtask list ; #7900 could make it less hazardous.
#4 - 2011-04-14 21:51 - Alcides Silveira Costa
Hi Etienne,

you are right, this can be a little confused to the user. He may not be able to differentiate the "delete issue" and "delete relationship" through the
context menu.

#5 - 2011-04-14 22:18 - Alcides Silveira Costa

Hi,

| added another issue, #8155, which | believe is somewhat related to this issue due to the context menu.
#6 - 2011-04-15 16:00 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Resolution set to Fixed
https://www.redmine.org/projects/redmine/repository/svn/revisions/5321
https://www.redmine.org/issues/7900
https://www.redmine.org/issues/8155

Etienne Massip wrote:

Just a Ul question for history : isn't it a bit hazardous to let the "Delete" choice in the contextual menu, can't it taken as a "Delete relationship"
choice instead ?

I've changed the icon for deleting the relation to a more specific one. Plus, the confirmation message when clicking the delete link on the context
menu is quite explicit: "Are you sure you want to delete the selected issue(s)?"

#7 - 2011-04-15 16:49 - Etienne Massip
Yes, and, moreover, casual user don't have access to the "delete" function, so we're safe.
